1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

beyond firmware 3.03 (help)

Discussion in 'Sony PSP - Mod and firmware discussion' started by reuh, Jul 14, 2007.

  1. reuh

    reuh Member

    Joined:
    Jul 14, 2007
    Messages:
    28
    Likes Received:
    0
    Trophy Points:
    11
    Hi,

    I have the firmware v3.03, which I installed to play Prince of f*rking persia before I discovered that this firmware was actually crap.
    Anyways.
    It's not like I didn't have a chance to get out of it, I took my psp back to sony following a glitch and they sent me a new one... and well I reinstalled v3.03 coz I didn't know better of course.

    Now you see that I am a bit reluctant to install the homewares, because if the psp dies on me again with this on it, the warranty won't apply.

    My issue with 3.03 is that it can't play video files full size. You can 't play 480x277.. I am not even sure the higher official firmware are ok. The webpage from sony v3.30 says:

    The following types of files can now be played in the "VIDEO" folder.
    – MPEG-4/H.264 AVC Main Profile (AVC CABAC) video files of the following sizes:
    720 X 480, 352 X 480, or 480 X 272
    * Depending on the data type, some files cannot be played.


    so with a nice "depending on the the datatype it just won't work.."! wll they are all mp4.. so... they must mean the size (?). The upgrades v3.40 and 3.51 don't mention anything about that.
    I forgot to mention that I encode the mp4 in ubuntu using pspvc. If I wanted a small size I would have bought a ipod..

    Does anyone know if the higher firmware versions work better ?

    If I go on installing homewares, then if my psp dies due to hardware problems can I like downgrade to 1.5 then install the firware from 3.03 from my prince of percia game and then pretend it was always like that ?

    what is the big plus of the homewares ? If I have a homeware can I play any umd ? what if the umd requires a higher firmware let say 3.6 can I install it on top of the homeware ?

    And on a purely hypothetical basis, and more like a case study, lets imaging someone comes up with a iso of a umd game. Let say that when you put the umd in it asks you to update your firmware just like prince of persia asked me. If one where to play the iso from the memory stick (because he doesn't want to walk around with umds) would the game ask for the update too ? then can you "just" find a corresponding homewares ? By the way do homeware numbers correspond to the sony ones apart from the restrictions? Like if 3.6 were to add a pdf reader, would homeware 3.6 contain a pdf reader too ?

    Ok I am done bother you,
    Thank you for your time.


    [aad-on] sorry I forgot to ask.. is it possible to upgrade to any particular version rather than the latest one provided by sony ? so that that if I don't find gta and can do it with luminus ?
     
    Last edited: Jul 14, 2007
  2. RiPPERD

    RiPPERD Guest

    !!!!!!!!!!! DONT UPGRADE !!!!!!!!!!!!!!!


    ONLY USE CUSTOM FIRMWARE you got choice of 3.03OE-C or 3.40OE the ones in-between aint worth havin

    www.psp-hacks.com

    got all the files u need

    wb if u got any questions

    just dont fukin upgrade or youll be cryin for months!
     
  3. reuh

    reuh Member

    Joined:
    Jul 14, 2007
    Messages:
    28
    Likes Received:
    0
    Trophy Points:
    11
    ok I won't upgrade then :)

    Now the downloader for 3.03 has some issue with the flash, some files which are not properly cleaned. They however said they would provide a cleaner or something.
    So what is the status on that ?

    Thanks
     
  4. RiPPERD

    RiPPERD Guest

    to downgrade you MUST have the UNPATCHED version of GTA LCS (update will be 2.00)

    or if you have the UNPATCHED LUMINIES you can upgrade to 3.50 OFFICIAL and gowngrade but MAKE SURE ITS UNPATCHED!


    3.03 Downgrader
    http://www.psp-hacks.com/file/1034

    3.50 Downgrader (NOT JPN)
    http://www.psp-hacks.com/file/1181

    3.03OE-C Custom Firmware
    http://www.psp-hacks.com/file/1030

    3.40OE-A Custom Firmware
    http://www.psp-hacks.com/file/1132

    1.50 OFFICIAL EBOOT (NEEDED FOR SETUP)
    http://www.psp-hacks.com/file/4

    3.03 OFFICIAL EBOOT (NEEDED FOR SEUP)
    http://www.psp-hacks.com/file/958

    3.40 OFFICIAL EBOOT (NEEDED FOR SEUP)
    http://www.psp-hacks.com/file/1130


    its easy to do and well worth it


    MAKE SURE YOU HAVE THE POWER LEAD (MAINS) PLUGGED IN AND DONT REMOVE IT UNTILL AFTER ALL THE SETUP IS COMPLETE OR IT WILL BRICK YOUR PSP

    just dont be to scared or your prob do somink wrong and brick it
     
  5. blackvamp

    blackvamp Regular member

    Joined:
    May 3, 2007
    Messages:
    1,173
    Likes Received:
    0
    Trophy Points:
    46
    Firmware 3.30 ( or 3.40) and above, official AND OE, support full-size resolution videos. The data type means that it won't play unless it's mp4.

    But, like ripperd said, OE is much better. Do it while you have the chance.

    To answer some of your Q's.

    You can always "recover" back to 1.5 or reflash to a different OE.

    OE cannot be upgraded directly to official firmwares. This function has been disabled for your own protection... :D You can do it through 1.5.

    OE's are an exact counterpart of the official firmware (+homebrew and recovery menu). Anything on the official firmware, will appear on the corresponding cfw.

     
  6. reuh

    reuh Member

    Joined:
    Jul 14, 2007
    Messages:
    28
    Likes Received:
    0
    Trophy Points:
    11
    thanks
    I'll do all that after coming back from holidays. I need the psp there, not taking the risk to lose everyhting before then. And I'll have time to look for GTA ^^.

     
    Last edited: Jul 16, 2007
  7. reuh

    reuh Member

    Joined:
    Jul 14, 2007
    Messages:
    28
    Likes Received:
    0
    Trophy Points:
    11
    Just a quick stupid question. Once I've done the downgrade with GTA do I need the game ever again ? (that is unless I accidently update to firmware compatible with GTA..)
     
    Last edited: Jul 16, 2007
  8. blackvamp

    blackvamp Regular member

    Joined:
    May 3, 2007
    Messages:
    1,173
    Likes Received:
    0
    Trophy Points:
    46
    Not that game specifically. But you do need one actual umd to boot up the iso's.
     
  9. reuh

    reuh Member

    Joined:
    Jul 14, 2007
    Messages:
    28
    Likes Received:
    0
    Trophy Points:
    11
    you mean to play copies of games? you need a game in the psp to boot the games ?

    and how did you go down to version 1.0 of your firmware ?? All I read was about 1.5.. not that it matters, just curious
     
    Last edited: Jul 16, 2007
  10. blackvamp

    blackvamp Regular member

    Joined:
    May 3, 2007
    Messages:
    1,173
    Likes Received:
    0
    Trophy Points:
    46
    Bought from HongKong by a friend. It came with 1.0, so I assume it's original Jap release.
     
  11. reuh

    reuh Member

    Joined:
    Jul 14, 2007
    Messages:
    28
    Likes Received:
    0
    Trophy Points:
    11
    oooh when was that ? msut have been a while ago.. you probably have one of this old samsung lcd screen....
     
  12. blackvamp

    blackvamp Regular member

    Joined:
    May 3, 2007
    Messages:
    1,173
    Likes Received:
    0
    Trophy Points:
    46
    Yep. Samsung, no dead pixel though. If viewed side by side with a sharp one, you can really tell the difference.
    It was given away as present begining of this year, though.
     

Share This Page